using System;

namespace Poklon
{
    class Program
    {
        static void Main()
        {
            int n = int.Parse(Console.ReadLine());
            int[] a = new int[n];
            string[] s = Console.ReadLine().Split();

            for (int i = 0; i < n; i++)
                a[i] = int.Parse(s[i]);

            int q = int.Parse(Console.ReadLine());
            while (q > 0)
            {
                bool da = true;
                s = Console.ReadLine().Split();
                int l = int.Parse(s[0]);
                int r = int.Parse(s[1]);

                int br = 0;
                for (int i = l - 1; da && i < r - 2; i++)
                {
                    if (a[i] > a[i + 1])
                    {
                        br++;
                        if (br >= 2)
                            da = false;
                    }
                }

                Console.WriteLine(da ? "DA" : "NE");
                q--;
            }
        }
    }
}